
CoCoALib - Bug #536

Make RingBase::myCharacteristic a fn rather than a proc

15 Apr 2014 12:27 - John Abbott

Status: Closed Start date: 15 Apr 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.00 hour

Target version: CoCoALib-0.99850 Spent time: 1.05 hour

Description

The mem fn RingBase::myCharacteristic returns void (supposedly for "efficiency", but who's going to calculate millions and millions of

characteristics?); make it return the characteristic instead (should be efficient with C++11, if BigInt has a move ctor)

History

#1 - 09 Jul 2014 18:01 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#2 - 29 Oct 2021 19:09 - John Abbott

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99800

Now we have moved to C++14, and BigInt has a move ctor, we can implement this change.

Should there be a speed check?  Maybe it is just better to see if it causes a genuine "slug" at some future point (personally, I doubt it!)

#3 - 05 Nov 2021 15:34 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Anna approves too.

Suggestion: create also a fn which returns a machine long (if poss, o/w error).

#4 - 28 Jan 2022 13:04 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#5 - 08 Mar 2023 20:29 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

I have made the change.  I really cannot see a sane use-case where characteristic needs to be super efficient.

I have not implemented a variant which returns a machine int -- might this be useful somewhere?

#6 - 09 Mar 2023 21:58 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#7 - 28 Mar 2024 16:44 - Anna Maria Bigatti
- Related to Support #1687: Release CoCoALib 0.99850 added

#8 - 29 Mar 2024 09:00 - Anna Maria Bigatti

- Related to deleted (Support #1687: Release CoCoALib 0.99850)
